# Generated from scoutui-2.0.5.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name scoutui

Name: rubygem-%{gem_name}
Version: 2.0.5.5
Release: 1%{?dist}
Summary: Simple yet powerful application model based automation framework
License: MIT
URL: https://github.com/h20dragon
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(nokogiri) = 1.6.7.2
# BuildRequires: rubygem(eyes_selenium) >= 2.33
# BuildRequires: rubygem(selenium-webdriver) = 2.53.4
# BuildRequires: rubygem(httparty) >= 0.13.7
# BuildRequires: rubygem(json) >= 1.8.3
# BuildRequires: rubygem(faker)
# BuildRequires: rubygem(logging)
# BuildRequires: rubygem(sauce_whisk) = 0.0.21
# BuildRequires: rubygem(testmgr) >= 0.3.2.pre
# BuildRequires: rubygem(DataMgr) >= 0.2.0
# BuildRequires: rubygem(CmdShellMgr) >= 0.1.1.2.pre
BuildArch: noarch

%description
Leverage a fully functional e2e framework that's integrated with Applitool's
Eyes and Sauce Labs!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/scoutui.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 2.0.5.5-1
- Initial package
